%define sourcever %(echo %version | cut -d. -f3 | sed 's/svn//' | tr _ -)
%define xmms_plugindir %(xmms-config --input-plugin-dir)
%define skin_blue_ver  1.8

%define with_gui       1
%define with_mencoder  1

Name:          mplayer
Epoch:         1
Version:       1.5+20240812svn.38542
Release:       1mamba
Summary:       MPlayer, the Movie Player for Linux
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://mplayerhq.hu/
Source0:       http://www2.mplayerhq.hu/MPlayer/releases/MPlayer-%{version}.tar.xz
Source1:       http://www.mplayerhq.hu/MPlayer/skins/Blue-%{skin_blue_ver}.tar.bz2
Source2:       mplayer.desktop
Source3:       mplayer-autoupdate
Patch0:        mplayer-1.4-missing-time-h.patch
Patch1:        mplayer-1.5+20240812svn.38542-ffmpeg-7.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: enca-devel
BuildRequires: glibc-devel
BuildRequires: liba52dec-devel
BuildRequires: libaa-devel
BuildRequires: libalsa-devel
BuildRequires: libass-devel
BuildRequires: libatk-devel
BuildRequires: libaudio-devel
BuildRequires: libbluray-devel
BuildRequires: libbzip2-devel
BuildRequires: libcaca-devel
BuildRequires: libcairo-devel
BuildRequires: libcdio-devel
BuildRequires: libdca-devel
BuildRequires: libdirac-devel
BuildRequires: libdirectfb-devel
BuildRequires: libdv-devel
BuildRequires: libesound-devel
BuildRequires: libfaac-devel
BuildRequires: libfaad2-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libfribidi-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libgsm-devel
BuildRequires: libgtk2-devel
%if "%{stage1}" != "1"
BuildRequires: libjack-devel
%endif
BuildRequires: libjpeg-devel
BuildRequires: liblame-devel
%ifarch %{ix86}
BuildRequires: liblrmi-devel
%endif
BuildRequires: liblzo-devel
BuildRequires: libmad-devel
BuildRequires: libmng-devel
BuildRequires: libncurses-devel
BuildRequires: libogg-devel
BuildRequires: libopenal-devel
BuildRequires: libopencore-amr-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libpulseaudio-devel
BuildRequires: librtmp-devel
BuildRequires: libschroedinger-devel
BuildRequires: libSDL-devel
BuildRequires: libsmbclient-devel
BuildRequires: libspeex-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtheora-devel
BuildRequires: libtwolame-devel
BuildRequires: libgif-devel
%ifarch %{ix86}
BuildRequires: libvbe-devel
%endif
BuildRequires: libvdpau-devel
BuildRequires: libvpx-devel
BuildRequires: libX11-devel
BuildRequires: libx264-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
#%if "%{stage1}" != "1"
#BuildRequires: libxmms-devel
#%endif
BuildRequires: libXScrnSaver-devel
BuildRequires: libXt-devel
BuildRequires: libXv-devel
BuildRequires: libxvidcore-devel
BuildRequires: libXxf86dga-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libz-devel
%if "%{stage1}" != "1"
BuildRequires: lirc-devel
%endif
BuildRequires: mpg123-devel
#BuildRequires: mplayer-fonts
BuildRequires: perl-devel
## AUTOBUILDREQ-END
%if "%{stage1}" != "1"
BuildRequires: libbio2jack-devel
%endif
BuildRequires: libvorbis-devel
BuildRequires: libmatroska-devel
BuildRequires: libao-devel
BuildRequires: liblame-devel
BuildRequires: libfaad2-devel
#BuildRequires: libdvdcss-devel
BuildRequires: ladspa-devel
#Requires:      mplayer-fonts
%if %with_mencoder
Requires:      mencoder = %{?epoch:%epoch:}%{version}-%{release}
%endif
Provides:      MPlayer = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     mplayer-fonts <= 1.1

%description
MPlayer is a movie player that plays most video formats as well as DVDs. Its big feature is the wide range of supported output drivers. There are also nice antialiased shaded subtitles and OSD.

##%package -n libdha
##Summary:        Support library for MPlayer's vidix video drivers
##Group:          System/Libraries
#
##%description -n libdha
##This package contains the libdha shared library required by the vidix video output drivers of MPlayer.

%if %with_mencoder
%package -n mencoder
Summary:        MPlayer's movie encoder
Group:          Applications/Multimedia
Requires:       %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n mencoder
MEncoder a movie encoder and is a part of the MPlayer package.
%endif

%if %with_gui
%package gui
Summary:       GUI for MPlayer
Group:         Graphical Desktop/Applications/Multimedia
Provides:      MPlayer-gui
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description gui
MPlayer is a movie player that plays most video formats as well as DVDs. Its big feature is the wide range of supported output drivers. There are also nice antialiased shaded subtitles and OSD.
This package contains a GUI for MPlayer.
%endif

%debug_package

%prep
%setup -q -n MPlayer-%{version}
#-D -T
#:<< _EOF
%patch 0 -p1
%patch 1 -p0 -b .ffmpeg-7

%build
#:<< _EOF

export CFLAGS="%{optflags} -Wno-incompatible-pointer-types -Wno-implicit-function-declaration -Wno-int-conversion"

# not a standard configure script
CC=%{_host}-gcc CPP=%{_host}-cpp \
./configure \
   --prefix=%{_prefix} \
   --datadir=%{_datadir}/%{name} \
   --confdir=%{_sysconfdir}/%{name} \
   --mandir=%{_mandir} \
   --enable-runtime-cpudetection \
%ifarch %{ix86} x86_64
   --enable-mmx \
   --enable-mmxext \
   --enable-3dnowext \
   --enable-sse \
   --enable-sse2 \
   --enable-fastmemcpy \
%endif
   --enable-dynamic-plugins \
   --enable-freetype \
%if %with_gui
   --enable-gui \
%endif
   --enable-libdca \
   --language=all \
   --enable-joystick \
%if %with_mencoder
   --enable-mencoder \
%else
   --disable-mencoder \
%endif
   --disable-arts \
   --disable-ffmpeg_a \
   --enable-theora \
   --enable-menu \
   --enable-radio \
   --enable-radio-capture \
   --enable-jack \
   --enable-smb \
   --enable-fribidi \
   --enable-liblzo \
   --enable-libvorbis \
   --enable-xshape \
   --codecsdir=%{_libdir}/win32 \
   --enable-x11 \
   --extra-cflags="`pkg-config --cflags smbclient`" \
   --extra-ldflags="-ljack -lfribidi -ldca -lX11 -lXext"

make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALLSTRIP=""

# install the default Skin
install -d %{buildroot}%{_datadir}/mplayer/Skin/
tar -xjf %{S:1} -C %{buildroot}%{_datadir}/mplayer/Skin/
ln -s Blue %{buildroot}%{_datadir}/%{name}/Skin/default

install -m 644 etc/example.conf %{buildroot}%{_sysconfdir}/%{name}/mplayer.conf
install -m 644 etc/codecs.conf %{buildroot}%{_sysconfdir}/%{name}
install -m 644 etc/input.conf %{buildroot}%{_sysconfdir}/%{name}
install -m 644 etc/menu.conf %{buildroot}%{_sysconfdir}/%{name}

%find_lang %{name} --with-man

%if %with_mencoder
install -m 755 TOOLS/{divx2svcd.sh,mencvcd.sh,midentify.sh,wma2ogg.pl} \
   %{buildroot}%{_bindir}
%find_lang mencoder --with-man
%endif

%if %with_gui
%find_lang gmplayer --with-man
%endif

%if %with_gui
%pre gui
if [ -d %{_datadir}/%{name}/Skin/default ]; then
   rm -rf %{_datadir}/%{name}/Skin/default
fi
exit 0
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-, root, root)
%dir %{_sysconfdir}/mplayer
%config(noreplace) %{_sysconfdir}/mplayer/codecs.conf
%config(noreplace) %{_sysconfdir}/mplayer/input.conf
%config(noreplace) %{_sysconfdir}/mplayer/menu.conf
%config(noreplace) %{_sysconfdir}/mplayer/mplayer.conf
%{_bindir}/midentify.sh
%{_bindir}/mplayer
%dir %{_datadir}/mplayer
%{_mandir}/man1/mplayer.1*
#% doc README DOCS/default.css DOCS/tech/

%if %with_mencoder
%files -n mencoder -f mencoder.lang
%defattr(-,root,root)
%{_bindir}/divx2svcd.sh
%{_bindir}/mencoder
%{_bindir}/mencvcd.sh
%{_bindir}/wma2ogg.pl
%{_mandir}/man1/mencoder.*
%endif

%if %with_gui
%files gui -f gmplayer.lang
%defattr(-,root,root)
%{_bindir}/gmplayer
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/mplayer.png
%{_datadir}/mplayer/Skin/default
%{_datadir}/mplayer/Skin/Blue/*
%{_mandir}/man1/gmplayer.1*
%endif

%changelog
* Sat Nov 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5+20240812svn.38542-1mamba
- update to 1.5+20240812svn.38542
- removed build requirement for libglib1, other specfile fixes

* Fri Mar 04 2022 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Fri Nov 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-2mamba
- rebuilt with debug package; removed requirement for mplayer-fonts

* Sat Nov 23 2019 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Mon Jan 25 2016 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Mon May 06 2013 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- update to 1.1

* Fri Feb 18 2011 Automatic Build System <autodist@mambasoft.it> 1.0rc4-1mamba
- automatic update by autodist

* Thu Jul 22 2010 Automatic Build System <autodist@mambasoft.it> 1.0rc3-3mamba
- automatic rebuild by autodist

* Thu Jul 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0rc3-2mamba
- rebuilt with internal libavformat and libavutil due to incompatibility with ffmpeg 0.6

* Mon May 31 2010 Automatic Build System <autodist@mambasoft.it> 1.0rc3-1mamba
- update to 1.0rc3

* Mon Mar 08 2010 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_07_12-7mamba
- automatic rebuild by autodist

* Tue Dec 08 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_07_12-6mamba
- automatic rebuild by autodist

* Mon Dec 07 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_07_12-5mamba
- automatic rebuild by autodist

* Fri Oct 16 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_07_12-4mamba
- automatic rebuild by autodist

* Wed Aug 19 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_07_12-3mamba
- automatic rebuild by autodist

* Wed Aug 12 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_07_12-2mamba
- automatic rebuild by autodist

* Sat Jul 11 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_09_12-1mamba
- update to 1.0rc2.svn2009_07_12

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 1.0.svn2009_06_29-1mamba
- update to 1.0.svn20090629

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2-4mamba
- automatic rebuild by autodist

* Sat Apr 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0rc2-3mamba
- automatic rebuild by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0rc2-2mamba
- automatic rebuild by autodist

* Wed Oct 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0rc2-1mamba
- update to 1.0rc2

* Sun Jun 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-10mamba
- rebuild against updated libmpcdec

* Mon May 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-9mamba
- rebuilt against mplayer's release of libdvdnav (4.1.2)
- enabled libdca

* Mon May 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-8mamba
- update to 1.0rc2
- updated maintainer
- libdha: disable and obsolete

* Mon Jan 22 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-7qilnx
- update to version 1.0rc1 by autospec
- MPlayer Skin Blue updated to version 1.7
- dropped security patches against CAN-2005-2718, CVE-2005-4048,
  CVE-2006-0579, and CVE-2006-1502 (merged upstream)
- added some missing build requirements
- libpostproc and libpostproc-devel packages now belong to ffmpeg

* Mon Sep 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-6qilnx
- security fix: CVE-2006-0579, CVE-2006-1502 (bugzilla#132)

* Mon Feb 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-5qilnx
- rebuilt

* Tue Dec 20 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-4qilnx
- fixed CAN-2005-4048 (qibug#100)
- gcc4 fixes from current CVS
- new desktop file compatible with kappfinder

* Fri Sep 02 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-3qilnx
- security fix QSA-2005-101 (CAN-2005-2718)

* Thu Apr 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-2qilnx
- specfile modified to match QiLinux standards
- added mplayer configuration files
- package moved to QiLinux-devel
- added libpostproc-devel, libdha, mencoder, and gui packages

* Sun Sep 19 2004 Matteo Bernasconi <voyagernm@virgilio.it> 1.0-1qilnx
- first build
